%global momorel 3

Summary: .NET language binding for the GTK+ toolkit
Name: gnome-sharp
Version: 2.24.1
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://www.mono-project.com/
Source0: ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.24/%{name}-%{version}.tar.bz2
NoSource: 0

# bootstrap gacutils
Patch0: gnome-sharp-2.24.1-gacutil.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: gtk2-devel >= 2.14.3
BuildPrereq: mono-devel >= 2.0
BuildPrereq: gtk-sharp2-devel >= 2.12.4
BuildPrereq: libart_lgpl-devel >= 2.3.20
BuildPrereq: gnome-vfs2-devel >= 2.24.0
BuildPrereq: libgnomecanvas-devel >= 2.20.1.1
BuildPrereq: libgnomeui-devel >= 2.24.0
BuildPrereq: glib2-devel >= 2.18.1
Requires: mono-core
Requires: gtk2

%description
Gtk# is a .NET language binding for the GTK+ toolkit and assorted GNOME
libraries.  Gtk# is free software, licensed under the GNU LGPL.  The target
is the 2.6 platform.

%package devel
Summary: .NET language binding for the GTK+ toolkit (devel)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: mono-devel
Requires: gtk-sharp-devel
Requires: libart_lgpl-devel
Requires: gnome-vfs-devel
Requires: libgnomecanvas-devel
Requires: libgnomeui-devel
Requires: libgnomeprintui-devel
Requires: glib-devel
Requires: gnome-panel-devel
Requires: librsvg-devel
Requires: gtkhtml-devel
Requires: vte-devel

%description devel
gnome-sharp devel

%prep
%setup -q
%patch0 -p1 -b .gacutils

%build
autoreconf -vfi
%configure \
    --disable-static \
    --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README
%{_bindir}/gconfsharp2-schemagen
%{_libdir}/lib*sharpglue-*.so
%exclude %{_libdir}/libgnomesharpglue-*.la
%{_prefix}/lib/gtk-sharp-2.0/*

%{_prefix}/lib/mono/gac/art-sharp
%{_prefix}/lib/mono/gac/gconf-sharp-peditors
%{_prefix}/lib/mono/gac/gconf-sharp
%{_prefix}/lib/mono/gac/gnome-sharp
%{_prefix}/lib/mono/gac/gnome-vfs-sharp

%{_prefix}/lib/mono/gac/policy.2.*.art-sharp
%{_prefix}/lib/mono/gac/policy.2.*.gconf-sharp-peditors
%{_prefix}/lib/mono/gac/policy.2.*.gconf-sharp
%{_prefix}/lib/mono/gac/policy.2.*.gnome-vfs-sharp

%{_prefix}/lib/mono/gtk-sharp-2.0/art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gnome-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll

%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gnome-vfs-sharp.dll


%{_datadir}/gapi-2.0/*.xml

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-3m)
- modify patch0

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-2m)
- add patch0 for gacutils

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.0-2m)
- rebuild against rpm-4.6

* Thu Oct  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Wed Apr 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.20.0-2m)
- rebuild against gcc43

* Wed Mar  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Fri Feb 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update 2.16.1

* Wed Mar 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-4m)
- add patch0 for gtkhtml-3.14.0

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-3m)
- delete all patches (no needs)

* Wed Aug 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- delete duplicate dir %%{_prefix}/lib/mono/gtk-sharp-2.0

* Tue Aug 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- initial build
